Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.common.service
Interface LoggingService

All Known Implementing Classes:
  HibernateLoggingService

    public interface LoggingService

Version:
  $Id: LoggingService.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`void` | `delete(ExecutionContext context, long[] events)`
`LogEvent` | `getLogEvent(ExecutionContext context, long id)`
`int` | `getMaximumAge()` Get the maximum event age in days.
`java.util.List` | `getUnreadEvents(ExecutionContext context)`
`java.util.List` | `getUserEvents(ExecutionContext context)`
`int` | `getUserEventsCount(ExecutionContext context)`
`LogEvent` | `instantiateLogEvent()`
`void` | `log(LogEvent event)`
`void` | `purge()` Purges events that surpassed the `maximum age`.
`void` | `setMaximumAge(int days)` Set the maximum event age in days.
`void` | `update(LogEvent event)`

Method Detail

### instantiateLogEvent

    LogEvent instantiateLogEvent()

### log

    void log(LogEvent event)

### update

    void update(LogEvent event)

### getUserEvents

    java.util.List getUserEvents(ExecutionContext context)

### getUnreadEvents

    java.util.List getUnreadEvents(ExecutionContext context)

### getUserEventsCount

    int getUserEventsCount(ExecutionContext context)

### getLogEvent

    LogEvent getLogEvent(ExecutionContext context,
                         long id)

### getMaximumAge

    int getMaximumAge()

  Get the maximum event age in days.

  Returns:
    the maximum event age in days
  See Also:
    `setMaximumAge(int)`

### setMaximumAge

    void setMaximumAge(int days)

  Set the maximum event age in days.

  The event is guaranteed to be kept in the log for at least this number of days. After this period the event will be eligible for `purge`.

  Parameters:
    `days` - the maximum event age in days

### purge

    void purge()

  Purges events that surpassed the `maximum age`.

  See Also:
    `setMaximumAge(int)`

### delete

    void delete(ExecutionContext context,
                long[] events)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.